---- Коммутатор - FOR DELETE ----
  -- при удалении из Коммутатора удаляются все соответствующие записи в УРЗА_Коммутаторы
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[OnCommutatorDelete]') and xtype = N'TR')
drop trigger [dbo].[OnCommutatorDelete]
GO
CREATE TRIGGER OnCommutatorDelete ON [dbo].[Коммутатор] 
FOR DELETE 
AS
  if (SELECT Count(*) FROM DELETED) > 0 DELETE FROM УРЗА_Коммутаторы WHERE Код_коммутатора IN (SELECT Код_коммутатора FROM DELETED)
